> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke API Key



## OpenAPI

````yaml https://api.dispersed.com/openapi.json put /v1/api-keys/{uuid}/revoke
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/api-keys/{uuid}/revoke:
    put:
      tags:
        - API Keys
      summary: Revoke API Key
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: uuid
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: API key revoked successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKeyResponse:
      type: object
      properties:
        _id:
          type:
            - string
            - 'null'
        account:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        allowed_ips:
          type: array
          items:
            type: string
          default: []
          description: >-
            OPTIONAL: List of allowed IP addresses or CIDR ranges. If no IPs are
            provided, the API key can be used from any IP address.
          example:
            - 127.0.0.1
            - 192.168.1.1/24
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        is_revoked:
          type: boolean
        last_used_at:
          type:
            - string
            - 'null'
          format: date-time
        name:
          type: string
        object:
          type: string
          enum:
            - api_key
        permissions:
          type: array
          items:
            type: string
        public_key:
          type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        uuid:
          type:
            - string
            - 'null'
      required:
        - created_at
        - is_revoked
        - name
        - object
        - permissions
        - public_key
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````